# FAQ

**Q: "Unknown custom element: <router-view> - did you register the component correctly?" / Vue plugin not working ?**

A: Set the alias for Vue in Webpack config `resolve.alias`, using absolute path.

```js
const path = require('path')

{
  resolve: {
    alias: {
      // Absolute path.
      'vue$': path.resolve(__dirname, './node_modulesvue/dist/vue.esm.js')
    }
  }
}
```

**Q: I can't get any instance from both injector and component, what's wrong?**

A: Make sure these three things:
 - Options `emitDecoratorMetadata` and `experimentalDecorators` must be to `true` in `tslint.json`.
 - You should add `import 'reflect-metadata'` in the top to your entry file.
 - If there are multiple vues in your node_modules, make sure you have set `resolve.alias.vue` in your webpack configuration.

**Q: Can I use it in browser directly without webpack or something else?**

A: No, because you have to use TypeScript and Reflect-Metadata.

**Q: What does it for?**

A: For people who like oop 
